# This file was auto-generated by Fern from our API Definition.

from __future__ import annotations
from ..core.unchecked_base_model import UncheckedBaseModel
from .evaluator_response import EvaluatorResponse
from .flow_response import FlowResponse
from .monitoring_evaluator_response import MonitoringEvaluatorResponse
from .prompt_response import PromptResponse
from .tool_response import ToolResponse
from .version_deployment_response import VersionDeploymentResponse
from .version_id_response import VersionIdResponse
import pydantic
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2
import typing
from ..core.pydantic_utilities import update_forward_refs


class EvaluationEvaluatorResponse(UncheckedBaseModel):
    version: EvaluatorResponse
    orchestrated: bool = pydantic.Field()
    """
    Whether the Evaluator is orchestrated by Humanloop. Default is `True`. If `False`, a log for the Evaluator should be submitted by the user via the API.
    """

    added_at: dt.datetime = pydantic.Field()
    """
    When the Evaluator was added to the Evaluation.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow


update_forward_refs(EvaluatorResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(FlowResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(MonitoringEvaluatorResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(PromptResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(ToolResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(VersionDeploymentResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
update_forward_refs(VersionIdResponse, EvaluationEvaluatorResponse=EvaluationEvaluatorResponse)
