# This file was auto-generated by Fern from our API Definition.

from __future__ import annotations
from ..core.unchecked_base_model import UncheckedBaseModel
from .evaluator_response import EvaluatorResponse
from .flow_response import FlowResponse
from .monitoring_evaluator_response import MonitoringEvaluatorResponse
from .prompt_response import PromptResponse
from .tool_response import ToolResponse
from .version_deployment_response import VersionDeploymentResponse
from .version_id_response import VersionIdResponse
import datetime as dt
from .environment_tag import EnvironmentTag
import typing
from .file_environment_response_file import FileEnvironmentResponseFile
import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2
from ..core.pydantic_utilities import update_forward_refs


class FileEnvironmentResponse(UncheckedBaseModel):
    """
    Response model for the List Environments endpoint under Files.

    Contains the deployed version of the File, if one is deployed to the Environment.
    """

    id: str
    created_at: dt.datetime
    name: str
    tag: EnvironmentTag
    file: typing.Optional[FileEnvironmentResponseFile] = pydantic.Field(default=None)
    """
    The version of the File that is deployed to the Environment, if one is deployed.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow


update_forward_refs(EvaluatorResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(FlowResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(MonitoringEvaluatorResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(PromptResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(ToolResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(VersionDeploymentResponse, FileEnvironmentResponse=FileEnvironmentResponse)
update_forward_refs(VersionIdResponse, FileEnvironmentResponse=FileEnvironmentResponse)
